spec:
  inputs:
    stage:
      default: test
      description: Defines in which stage the Debugger job shall run
---
"debugg-job-$[[ inputs.stage ]]":
  stage: $[[ inputs.stage ]]
  image: bash:5.2.26-alpine3.19
  variables:
    BRANCH_VARIABLE: $CI_COMMIT_REF_NAME
  rules:
    - if: $CI_COMMIT_TAG
      variables:
        BRANCH_VARIABLE: $CI_DEFAULT_BRANCH
    - when: on_success
  before_script:
    - apk --no-cache add curl
  script:
    - 'echo -e "GitLab UserNAme Pipeline Trigger: $GITLAB_USER_NAME \n"'
    - 'echo -e "GitLab Email Pipeline Trigger: $GITLAB_USER_EMAIL \n"'
    - 'echo -e "List of files clones and Downloaded: \n $(ls -la) \n"'
    - 'echo -e "GitLab Branch for this Pipeline Trigger: $BRANCH_VARIABLE \n"'
    - 'echo -e "Project API: \n $(curl --location --request GET --header "JOB-TOKEN: $CI_JOB_TOKEN" "${CI_API_V4_URL}/projects/${CI_PROJECT_ID}") \n"'
    - 'echo -e "Deployments API: \n $(curl --location --request GET --header "JOB-TOKEN: $CI_JOB_TOKEN" "${CI_API_V4_URL}/projects/${CI_PROJECT_ID}/deployments") \n"'
    - 'echo -e "Releases API: \n $(curl --location --request GET --header "JOB-TOKEN: $CI_JOB_TOKEN" "${CI_API_V4_URL}/projects/${CI_PROJECT_ID}/releases") \n"'
    - 'echo -e "job_token_scope API: \n $(curl --location --request GET --header "JOB-TOKEN: $CI_JOB_TOKEN" "${CI_API_V4_URL}/projects/${CI_PROJECT_ID}/job_token_scope") \n"'
    - |-
      if [[ $CI_MERGE_REQUEST_ID == "" ]]; then
          echo "No Merge Request ID"; else
          'echo "The Merge Request ID: $CI_MERGE_REQUEST_ID"'
      fi
    - echo "GitLab CI/CD | Print all environment variables"
    - env
